From fff4aae5c0f12346114894edea298663c6e6aaf3 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 02 2015 19:16:05 +0000
Subject: [PATCH 43/254] Mess around with JSON headers.


---

diff --git a/hubs/app.py b/hubs/app.py
index 629b0ea..c7432c4 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -80,7 +80,14 @@ def widget_json(hub, idx):
     from hubs.widgets import registry
     module = registry[widget.plugin]
     data = module.data(flask.request, session, widget, **widget.config)
-    return flask.jsonify(data)
+    response = flask.jsonify(data)
+
+    # We don't actually need these two headers.  Just messing around.
+    response.headers['X-fedora-hubs-hub-name'] = hub
+    response.headers['X-fedora-hubs-widget-id'] = idx
+    # TODO -- add other headers here as we decide we need them.
+
+    return response
 
 
 @app.route('/source/<name>')

